#include "hud.h"

HUDManager::HUDManager(void)
{

}

HUDManager::~HUDManager(void)
{
	Font->Release();
}

void HUDManager::Init(IDirect3DDevice9 *device)
{
	D3DXCreateFont(device, 30, 0, 500, 0, FALSE, DEFAULT_CHARSET, OUT_DEFAULT_PRECIS, CLEARTYPE_NATURAL_QUALITY, DEFAULT_PITCH | FF_DONTCARE, (LPCSTR)"Arial", &Font);
	
	if (device != NULL)
		device->GetViewport(&Viewport);
}
